import { useEffect } from 'react';

function Error(props) {
  const { message } = props; // Rozpakowywanie, aby pobrać potrzebne właściwości.

  useEffect(
    function () {
      console.log('Wystąpił błąd!');
      console.log(props.message);
    },
    [props] // Nie używaj całego obiektu props!
    // [message]
  );

  return <p>{props.message}</p>;
}

export default Error;
